## rdp-classifier 2.10.2

=== debian/changelog ===
rdp-classifier (2.10.2-6) unstable; urgency=medium

  [ Steffen Moeller ]
  * Team upload
  * Updated d/watch to access github.
  * Introduced links to existing javascript libraries
  * Drop Tim Booth from uploaders.  Thanks Tim, for all your work on this.

  [ Andreas Tille ]
  * Standards-Version: 4.6.0 (routine-update)
  * Apply multi-arch hints.
    + rdp-classifier-doc: Add Multi-Arch: foreign.

 -- Andreas Tille <tille@debian.org>  Fri, 01 Oct 2021 12:27:15 +0200

rdp-classifier (2.10.2-5) unstable; urgency=medium

  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Update watch file format version to 4.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 30 Nov 2020 17:27:02 +0100

rdp-classifier (2.10.2-4) unstable; urgency=medium

  * Fix openjdk 11 FTBS (java.se.ee deprecated in jdk 11) Closes: #912385

 -- Olivier Sallou <osallou@debian.org>  Mon, 05 Nov 2018 10:20:57 +0000

rdp-classifier (2.10.2-3) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Drop unneeded get-orig-source target
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test

 -- Andreas Tille <tille@debian.org>  Thu, 04 Oct 2018 11:23:04 +0200

rdp-classifier (2.10.2-2) unstable; urgency=medium

  * Team upload

  [ Olivier Sallou ]
  * d/control,d/junit.xml: fixes for Java 9 compilation (Closes: #875789).
  * debian/bin/rdp_classifier: add optional env variable JAVA_OPTS
    to java command line

  [ Andreas Tille ]
  * Move packaging from SVN to Git
  * debhelper 10
  * cme fix dpkg-control
  * Standards-Version: 4.1.0 (no changes needed)

 -- Olivier Sallou <osallou@debian.org>  Fri, 15 Sep 2017 13:25:30 +0000

rdp-classifier (2.10.2-1) unstable; urgency=medium

  * Initial upload to Debian (Closes: #790926)

 -- Andreas Tille <tille@debian.org>  Fri, 03 Jul 2015 06:07:13 +0200

rdp-classifier (2.10.1+dfsg-0biolinux1) trusty; urgency=medium

  * New usptream

 -- Tim Booth <tbooth@ceh.ac.uk>  Thu, 19 Feb 2015 15:14:01 +0000

rdp-classifier (2.9+dfsg-0biolinux1) trusty; urgency=medium

  * New upstream
  * Needs updated librdp-readseq-java, librdp-taxonomy-tree-java and new
    librdp-alignment-java
  * The new distribution includes too much identification data to package.
  * Just include the 16S data in the package.  Provide a script to get the
    fungal data and put it in the right place.  Modify the command line to
    see data in ~/rdp_classifier/data

 -- Tim Booth <tbooth@ceh.ac.uk>  Mon, 06 Oct 2014 15:46:58 +0100

rdp-classifier (2.7+dfsg-0biolinux1) trusty; urgency=low

  * New upstream and build for Trusty
  * Add deps on two librdp packages
  * Add unit tests
  * Move data out of the .jar
  * Move some things around

 -- Tim Booth <tbooth@ceh.ac.uk>  Wed, 30 Apr 2014 18:04:30 +0100

rdp-classifier (2.5~dfsg-0ubuntu) precise; urgency=low

  * Rebuild version 2.5 (for Ubuntu)
  * Try to do proper build but there is missing source! - see README.source
  * Make use of JavaHelper for deps
  * Add wrapper script in /usr/bin to run the app (from BL)
  * Split out separate -doc package

 -- Tim Booth <tbooth@ceh.ac.uk>  Tue, 14 Aug 2012 17:30:11 +0100
