=== debian/control ===
Source: rdp-classifier
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <steffen_moeller@gmx.de>,
           Andreas Tille <tille@debian.org>,
           Olivier Sallou <osallou@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               default-jdk,
               junit4,
               libcommons-cli-java,
               javahelper,
               rdp-readseq,
               rdp-alignment,
               librdp-taxonomy-tree-java,
               libjfreechart-java,
               ant,
               ant-optional,
               ant-contrib
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/rdp-classifier
Vcs-Git: https://salsa.debian.org/med-team/rdp-classifier.git
Homepage: https://github.com/rdpstaff/classifier
Rules-Requires-Root: no

Package: rdp-classifier
Architecture: all
Depends: ${java:Depends},
         ${misc:Depends},
         default-jre
Recommends: rdp-classifier-doc
Description: extensible sequence classifier for fungal lsu, bacterial and archaeal 16s
 The RDP Classifier is a naive Bayesian classifier which was developed
 to provide rapid taxonomic placement based on rRNA sequence data. The
 RDP Classifier can rapidly and accurately classify bacterial and
 archaeal 16s rRNA sequences, and Fungal LSU sequences. It provides
 taxonomic assignments from domain to genus, with confidence estimates
 for each assignment. The RDP Classifier likely can be adapted to
 additional phylogenetically coherent bacterial taxonomies.

Package: rdp-classifier-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libjs-jquery-ui
Suggests: rdp-classifier
Multi-Arch: foreign
Description: documentation and examples for rdp-classifier
 The RDP Classifier is a naive Bayesian classifier which was developed
 to provide rapid taxonomic placement based on rRNA sequence data. The
 RDP Classifier can rapidly and accurately classify bacterial and
 archaeal 16s rRNA sequences, and Fungal LSU sequences. It provides
 taxonomic assignments from domain to genus, with confidence estimates
 for each assignment. The RDP Classifier likely can be adapted to
 additional phylogenetically coherent bacterial taxonomies.
 .
 This package contains the JavaDoc generated HTML and examples for
 rdp-classifier.
