=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CLASSPATH=/usr/share/java/junit.jar:/usr/share/java/commons-cli.jar:/usr/share/java/rdp-alignment.jar:/usr/share/java/rdp-taxonomy-tree.jar:/usr/share/java/jfreechart.jar

%:
	dh $@ --with javahelper

override_dh_auto_build:
	jh_build -J rdp_classifier.jar src
	#jar uf rdp_classifier.jar data
	#jar uf rdp_classifier.jar -C test test

override_dh_auto_install:
	dh_auto_install
	rm -f debian/rdp-classifier-doc/usr/share/doc/rdp-classifier-doc/api/jquery/jquery-ui.css
	rm -f debian/rdp-classifier-doc/usr/share/doc/rdp-classifier-doc/api/jquery/jquery-ui.min.css
	rm -f debian/rdp-classifier-doc/usr/share/doc/rdp-classifier-doc/api/jquery/jquery-3.5.1.js
	rm -f debian/rdp-classifier-doc/usr/share/doc/rdp-classifier-doc/api/jquery/external/jquery/jquery.js
	rm -f debian/rdp-classifier-doc/usr/share/doc/rdp-classifier-doc/api/jquery/jquery-ui.min.js
	rm -f debian/rdp-classifier-doc/usr/share/doc/rdp-classifier-doc/api/jquery/jquery-ui.js

override_dh_installexamples:
	dh_installexamples
	chmod -x debian/rdp-classifier-doc/usr/share/doc/rdp-classifier/examples/samplefiles/new_trainset_db_taxid.txt


override_dh_auto_clean:
	rm -f *.jar lib/*.jar TEST-*
	find test -name '*.class' -delete
	rm -f *.list tmp-junit.xml
	rm -rf dist

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cp debian/junit.xml ./tmp-junit.xml
	ant -f tmp-junit.xml junit
endif

override_dh_compress:
	dh_compress -X.fasta

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/*/usr/share/*/*.sh
