=== debian/watch ===
version=4
https://github.com/rdpstaff/classifier/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
